Displaying 16 results from an estimated 16 matches for "rootfs_uuid".
2016 Apr 21
1
[PATCH] dib: Rewrite match statement as ordinary if statement.
...) @ mkfs_options @ [ "-t"; cmdline.fs_type; blockdev ] in
ignore (g#debug "sh" (Array.of_list ([ "mkfs" ] @ mkfs_options)));
g#set_label blockdev root_label;
- (match cmdline.fs_type with
- | x when String.is_prefix x "ext" -> g#set_uuid blockdev rootfs_uuid
- | _ -> ());
+ if String.is_prefix cmdline.fs_type "ext" then
+ g#set_uuid blockdev rootfs_uuid;
g#mount blockdev "/";
g#mkmountpoint "/tmp";
mount_aux ();
--
2.7.4
2015 Nov 11
2
[PATCH 1/2] dib: Make the interface between cmdline.ml and dib.ml explicit.
...| "qcow2" | "raw" | "vhd" -> true
| _ -> false
- ) formats in
+ ) cmdline.formats in
let formats_img_nonraw = List.filter ((<>) "raw") formats_img in
prepare_aux ~envvars ~dib_args ~dib_vars ~log_file ~out_name:image_basename
- ~rootfs_uuid ~arch ~network ~root_label ~install_type ~debug
- ~extra_packages
- auxtmpdir all_elements;
+ ~rootfs_uuid ~arch ~network:cmdline.network ~root_label
+ ~install_type:cmdline.install_type ~debug
+ ~extra_packages:cmdline.extra_packages
+ auxt...
2016 Aug 03
0
[PATCH] dib: rework run of extra-data.d hooks (RHBZ#1362354)
...-harness
endif
+if HAVE_FUSE
+SUBDIRS += dib
+endif
endif
# Perl tools.
diff --git a/dib/dib.ml b/dib/dib.ml
index 87af4eb..17775d8 100644
--- a/dib/dib.ml
+++ b/dib/dib.ml
@@ -69,13 +69,15 @@ let envvars_string l =
let prepare_external ~envvars ~dib_args ~dib_vars ~out_name ~root_label
~rootfs_uuid ~image_cache ~arch ~network ~debug
- destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
+ destdir libdir hooksdir fakebindir all_elements element_paths =
let network_string = if network then "" else "1" in
let run_extra = sprintf "\
#!/bin/bas...
2017 Mar 22
7
[PATCH 0/5] dib: initial work to support d-i-b 2.0
Hi,
this series start to implement some of the changes needed to support
d-i-b 2.0; normal VM distro builds seem to work correctly, ramdisk
builds are still broken and require more efforts.
Thanks,
Pino Toscano (5):
dib: implement get_image_element_array stuff
dib: export IMAGE_BLOCK_DEVICE_WITHOUT_PART
dib: extract get_required_tool out of require_tool
dib: require a Python interpreter
2016 Aug 03
3
[PATCH] mllib: move _exit from v2v as Exit module
Move the OCaml binding to C _exit to an own module.
Just code motion, adapting v2v in the process.
---
docs/C_SOURCE_FILES | 2 +-
mllib/Makefile.am | 5 ++++-
mllib/exit-c.c | 33 +++++++++++++++++++++++++++++++++
mllib/exit.ml | 19 +++++++++++++++++++
mllib/exit.mli | 20 ++++++++++++++++++++
v2v/Makefile.am | 1 -
v2v/changeuid-c.c | 33
2017 Feb 02
7
[PATCH 0/6] dib: various improvements
Hi,
this series improves virt-dib, adding some upstream changes, and
refactoring the handling of output formats.
Thanks,
Pino Toscano (6):
dib: clear up "already provided" message
dib: add --checksum
dib: pass custom mkfs options after the filesystem type
dib: refactor output formats handling
dib: clarify "output:" lines in --machine-readable documentation
dib:
2015 Jun 16
2
[PATCH v4] RFC: New tool: virt-dib
...xs
+ in
+ match args with
+ | [] -> ""
+ | app :: xs -> app ^ quote_args xs
+
+let write_script fn text =
+ let oc = open_out fn in
+ output_string oc text;
+ flush oc;
+ close_out oc;
+ Unix.chmod fn 0o755
+
+let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid
+ ~image_cache ~arch ~network ~debug
+ destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
+ let network_string = if network then "" else "1" in
+
+ let run_extra = sprintf "\
+#!/bin/bash
+%s
+target_dir=$1
+shift
+script=$1
+shift
+
+export PATH=%s:...
2015 May 29
0
[PATCH v3] RFC: New virt-dib tool
...xs
+ in
+ match args with
+ | [] -> ""
+ | app :: xs -> app ^ quote_args xs
+
+let write_script fn text =
+ let oc = open_out fn in
+ output_string oc text;
+ flush oc;
+ close_out oc;
+ Unix.chmod fn 0o755
+
+let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid
+ ~image_cache ~arch ~network ~debug
+ destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
+ let network_string = if network then "" else "1" in
+
+ let run_extra = sprintf "\
+#!/bin/bash
+%s
+target_dir=$1
+shift
+script=$1
+shift
+
+export PATH=%s:...
2015 Jul 03
1
[PATCH v5] New tool: virt-dib
...xs
+ in
+ match args with
+ | [] -> ""
+ | app :: xs -> app ^ quote_args xs
+
+let write_script fn text =
+ let oc = open_out fn in
+ output_string oc text;
+ flush oc;
+ close_out oc;
+ Unix.chmod fn 0o755
+
+let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid
+ ~image_cache ~arch ~network ~debug
+ destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
+ let network_string = if network then "" else "1" in
+
+ let run_extra = sprintf "\
+#!/bin/bash
+set -e
+%s
+target_dir=$1
+shift
+script=$1
+shift
+
+export...
2015 Mar 31
0
[PATCH] WIP: New virt-dib tool
..._args xs
+ in
+ match args with
+ | [] -> ""
+ | app :: xs -> app ^ quote_args xs
+
+let write_script fn text =
+ let oc = open_out fn in
+ output_string oc text;
+ flush oc;
+ close_out oc;
+ chmod fn 0o755
+
+let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid ~image_cache
+ ~arch ~network ~debug
+ destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
+ let network_string = if network then "" else "1" in
+
+ let run_extra = sprintf "\
+#!/bin/bash
+%s
+target_dir=$1
+shift
+script=$1
+shift
+
+export PATH=%s:...
2015 Jun 30
0
Re: [PATCH v4] RFC: New tool: virt-dib
...you can consider moving these to the respective
distro-specific sections of appliance/packagelist.in, and you don't
need the comment. However when packaging it for Fedora we'll need to
split out the dependencies again.
> +let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid
> + ~image_cache ~arch ~network ~debug
> + destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
> + let network_string = if network then "" else "1" in
> +
> + let run_extra = sprintf "\
> +#!/bin/bash
There are a bunch of embedded b...
2017 Mar 22
0
[PATCH 4/5] dib: require a Python interpreter
...bool;
+ python : string option;
}
val parse_cmdline : unit -> cmdline
diff --git a/dib/dib.ml b/dib/dib.ml
index 1df9aff..ab5481a 100644
--- a/dib/dib.ml
+++ b/dib/dib.ml
@@ -74,6 +74,7 @@ let envvars_string l =
let prepare_external ~envvars ~dib_args ~dib_vars ~out_name ~root_label
~rootfs_uuid ~image_cache ~arch ~network ~debug ~fs_type ~checksum
+ ~python
destdir libdir fakebindir loaded_elements all_elements element_paths =
let network_string = if network then "" else "1" in
let checksum_string = if checksum then "1" else "" in
@@ -123,...
2015 Jul 01
1
Re: [PATCH v4] RFC: New tool: virt-dib
...gt; split out the dependencies again.
Just wondering if I should resurrect my past idea for different
appliances ("flavours") with own sets of extra packages, tailored for
specific usages (e.g. rescue, dib, etc).
> > +let prepare_external ~dib_args ~dib_vars ~out_name ~root_label ~rootfs_uuid
> > + ~image_cache ~arch ~network ~debug
> > + destdir libdir hooksdir tmpdir fakebindir all_elements element_paths =
> > + let network_string = if network then "" else "1" in
> > +
> > + let run_extra = sprintf "\
> > +#!/bin/bash
&g...
2015 Oct 06
0
[PATCH 5/5] mllib: Replace various ad hoc string_* functions with String.*
...from_lines envvar lines) with _ -> None) in
@@ -777,7 +777,7 @@ let main () =
ignore (g#debug "sh" (Array.of_list ([ "mkfs" ] @ mkfs_options)));
g#set_label blockdev root_label;
(match fs_type with
- | x when string_prefix x "ext" -> g#set_uuid blockdev rootfs_uuid
+ | x when String.is_prefix x "ext" -> g#set_uuid blockdev rootfs_uuid
| _ -> ());
g#mount blockdev "/";
g#mkmountpoint "/tmp";
diff --git a/dib/elements.ml b/dib/elements.ml
index 551e174..d1b0abb 100644
--- a/dib/elements.ml
+++ b/dib/elements.ml
@@ -...
2015 Oct 06
10
[PATCH 0/5] mllib: Hide bad String functions and miscellaneous refactoring.
Hide/prevent the use of bad string functions like String.lowercase.
These are replaced by safe functions that won't break UTF-8 strings.
Other miscellaneous refactoring.
Rich.
2017 Feb 14
14
[PATCH 00/10] dib/API: improvements and fixes
Hi,
this patch series does changes mostly in virt-dib, few bug fixes and
a couple of new features (mostly implemented upstream already).
In addition, one new API is added, and a new optional argument for an
existing API is added (the latter is not needed, but could be useful
anyway).
Thanks,
Pino Toscano (10):
dib: fix listing envvars in fake-sudo
dib: source dib "die" script in